=head1 NAME

GStreamer::IndexEntry

=cut

=head1 HIERARCHY

  Glib::Boxed
  +----GStreamer::IndexEntry



=cut


=head1 METHODS

=head2 64 bit integer = $entry-E<gt>B<assoc_map> ($format)

=over

=item * $format (GStreamer::Format) 

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum GStreamer::Format

=over

=item * 'undefined' / 'GST_FORMAT_UNDEFINED'

=item * 'default' / 'GST_FORMAT_DEFAULT'

=item * 'bytes' / 'GST_FORMAT_BYTES'

=item * 'time' / 'GST_FORMAT_TIME'

=item * 'buffers' / 'GST_FORMAT_BUFFERS'

=item * 'percent' / 'GST_FORMAT_PERCENT'

=back




=cut


=head1 SEE ALSO

L<GStreamer>, L<Glib::Boxed>


=cut


=head1 COPYRIGHT

Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<GStreamer> for a full notice.



=cut

